Upstream: https://github.com/libretro/parallel-n64/issues/671
--- parallel-n64-0a67445ce63513584d92e5c57ea87efe0da9b3bd/Makefile.orig
+++ parallel-n64-0a67445ce63513584d92e5c57ea87efe0da9b3bd/Makefile
@@ -91,10 +91,12 @@
 
 ifeq ($(ARCH), $(filter $(ARCH), i386 i686))
    WITH_DYNAREC = x86
-else ifeq ($(ARCH), $(filter $(ARCH), arm))
-   WITH_DYNAREC = arm
 else ifeq ($(ARCH), $(filter $(ARCH), aarch64))
    WITH_DYNAREC = aarch64
+   CFLAGS += -DARM_FIX
+else ifneq (, $(findstring arm, $(ARCH)))
+   WITH_DYNAREC = arm
+   CFLAGS += -DARM_FIX
 endif
 
 ifeq ($(HAVE_VULKAN_DEBUG),1)
--- parallel-n64-0a67445ce63513584d92e5c57ea87efe0da9b3bd/mupen64plus-core/src/r4300/new_dynarec/arm/assem_arm.h.orig
+++ parallel-n64-0a67445ce63513584d92e5c57ea87efe0da9b3bd/mupen64plus-core/src/r4300/new_dynarec/arm/assem_arm.h
@@ -1,6 +1,8 @@
 #ifndef M64P_R4300_ASSEM_ARM_H
 #define M64P_R4300_ASSEM_ARM_H
 
+#include <sys/types.h>
+
 #define HOST_REGS 13
 #define HOST_CCREG 10
 #define HOST_BTREG 8
